OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Friends | List of all members
VolumeHDDA< TreeT, RayT, 0 > Class Template Reference

Specialization of Hierarchical Digital Differential Analyzer class that intersects against the leafs or tiles of a generic volume. More...

`#include <openvdb/math/DDA.h>`

## Public Types
using | LeafT = typename TreeT::LeafNodeType
using | TimeSpanT = typename RayT::TimeSpan

## Public Member Functions
| VolumeHDDA ()
template<typename AccessorT >
TimeSpanT | march (RayT &ray, AccessorT &acc)
template<typename AccessorT , typename ListT >
void | hits (RayT &ray, AccessorT &acc, ListT &times)

## Friends
class | VolumeHDDA< TreeT, RayT, 1 >

## Detailed Description

template<typename TreeT, typename RayT>
class openvdb::v11_0::math::VolumeHDDA< TreeT, RayT, 0 >

Specialization of Hierarchical Digital Differential Analyzer class that intersects against the leafs or tiles of a generic volume.

## Member Typedef Documentation

## ◆ LeafT

template<typename TreeT , typename RayT >

using LeafT = typename TreeT::LeafNodeType

## ◆ TimeSpanT

template<typename TreeT , typename RayT >

using TimeSpanT = typename RayT::TimeSpan

## Constructor & Destructor Documentation

## ◆ VolumeHDDA()

template<typename TreeT , typename RayT >

VolumeHDDA | ( |  | ) |
| inline

## Member Function Documentation

## ◆ hits()

template<typename TreeT , typename RayT >
template<typename AccessorT , typename ListT >

void hits | ( | RayT & | ray,
|  | AccessorT & | acc,
|  | ListT & | times )
| inline

## ◆ march()

template<typename TreeT , typename RayT >
template<typename AccessorT >

TimeSpanT march | ( | RayT & | ray,
|  | AccessorT & | acc )
| inline

## Friends And Related Symbol Documentation

## ◆ VolumeHDDA< TreeT, RayT, 1 >

template<typename TreeT , typename RayT >

friend class VolumeHDDA< TreeT, RayT, 1 >
| friend